﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BobUpAndDown : MonoBehaviour {

    private Vector3 dir;
    private Vector3 target;

    [SerializeField]
    public Transform Player;

    // Use this for initialization
    void Start () {
        dir = new Vector3(0, 1, 0);
        target = transform.position + (dir * 10);
	}
	
	// Update is called once per frame
	void Update () {

        // bob up and down

        var currentDir = (target - transform.position).normalized;
        bool goingUp = Vector3.Dot(currentDir, Vector3.up) > 0;

        var newPos = transform.position + (dir * (Time.deltaTime * 5));
        var newDir = (target - newPos).normalized;
        bool newGoingUp = Vector3.Dot(newDir, Vector3.up) > 0;

        // gone past target, so switch dir
        if (goingUp != newGoingUp)
        {
            newPos = target;

            dir *= -1;
            target = transform.position + (dir * 10);
        }

        transform.position = newPos;

        // rotate to face player

        if (Player != null)
        {
            var targetLookDir = 
                Quaternion.LookRotation((Player.position - transform.position).normalized, Vector3.up) * 
                Quaternion.AngleAxis(90, Vector3.up);

            transform.localRotation = targetLookDir;
        }
    }
}
