﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DebugDrawBones : MonoBehaviour {

    private SkinnedMeshRenderer[] renderers;

    void Start()
    {
        renderers = GetComponentsInChildren<SkinnedMeshRenderer>();
        if (renderers == null)
        {
            Debug.LogWarning("No SkinnedMeshRenderer found, script removed");
            Destroy(this);
        }
    }

    void LateUpdate()
    {
        foreach (var renderer in renderers)
        {
            foreach (var bone in renderer.bones)
            {
                if (bone.parent == null)
                    continue;
                Debug.DrawLine(bone.position, bone.parent.position, Color.red, 1, false);
            }
        }
    }
}
